"use strict";

const isPlainObject = require("@validatem/is-plain-object");
const either = require("@validatem/either");

module.exports = function wrapValueAsOption(property) {
	return either([
		[ isPlainObject ],
		[ (value) => ({ [property]: value }) ]
	]);
};
